Package com.smartgwt.client.ai

# Class FilterViaAISettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.FilterViaAISettings

All Implemented Interfaces:
  `HasHandlers`

public class FilterViaAISettings extends DataClass
Settings to use for filtering a `DataBoundComponent` via AI.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterViaAISettings()`
  `FilterViaAISettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FilterViaAISettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `FilterViaAIProgressDialog`
  `getProgressDialogProperties()`
  When `showing a progress dialog`, the `FilterViaAIProgressDialog` properties to apply.
  `Boolean`
  `getShowProgressDialog()`
  Whether to show a progress dialog to inform the user about progress.
  `FilterViaAISettings`
  `setProgressDialogProperties(FilterViaAIProgressDialog progressDialogProperties)`
  When `showing a progress dialog`, the `FilterViaAIProgressDialog` properties to apply.
  `FilterViaAISettings`
  `setShowProgressDialog(Boolean showProgressDialog)`
  Whether to show a progress dialog to inform the user about progress.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FilterViaAISettings

    public FilterViaAISettings()

  - ### FilterViaAISettings

    public FilterViaAISettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static FilterViaAISettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setProgressDialogProperties

    public FilterViaAISettings setProgressDialogProperties(FilterViaAIProgressDialog progressDialogProperties)
    When `showing a progress dialog`, the `FilterViaAIProgressDialog` properties to apply.

    Note : This is an advanced setting

    Parameters:
      `progressDialogProperties` - New progressDialogProperties value. Default value is null
    Returns:
      `FilterViaAISettings` instance, for chaining setter calls
    See Also:
      - `SGWTProperties`

  - ### getProgressDialogProperties

    public FilterViaAIProgressDialog getProgressDialogProperties()
    When `showing a progress dialog`, the `FilterViaAIProgressDialog` properties to apply.
    Returns:
      Current progressDialogProperties value. Default value is null

  - ### setShowProgressDialog

    public FilterViaAISettings setShowProgressDialog(Boolean showProgressDialog)
    Whether to show a progress dialog to inform the user about progress.
    Parameters:
      `showProgressDialog` - New showProgressDialog value. Default value is true
    Returns:
      `FilterViaAISettings` instance, for chaining setter calls

  - ### getShowProgressDialog

    public Boolean getShowProgressDialog()
    Whether to show a progress dialog to inform the user about progress.
    Returns:
      Current showProgressDialog value. Default value is true